FlagAdapter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.cache.infinispan.util
Enum FlagAdapter

    java.lang.Object
      java.lang.Enum<FlagAdapter>
          org.hibernate.cache.infinispan.util.FlagAdapter

All Implemented Interfaces:
  Serializable, Comparable<FlagAdapter>

    public enum FlagAdapter

extends Enum<FlagAdapter>

FlagAdapter.

Since:
  3.5

Enum Constant Summary
`CACHE_MODE_LOCAL`
`FORCE_ASYNCHRONOUS`
`FORCE_SYNCHRONOUS`
`SKIP_CACHE_LOAD`
`SKIP_CACHE_STORE`
`ZERO_LOCK_ACQUISITION_TIMEOUT`

Method Summary
`static FlagAdapter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FlagAdapter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ZERO_LOCK_ACQUISITION_TIMEOUT

    public static final FlagAdapter ZERO_LOCK_ACQUISITION_TIMEOUT

### CACHE_MODE_LOCAL

    public static final FlagAdapter CACHE_MODE_LOCAL

### FORCE_ASYNCHRONOUS

    public static final FlagAdapter FORCE_ASYNCHRONOUS

### FORCE_SYNCHRONOUS

    public static final FlagAdapter FORCE_SYNCHRONOUS

### SKIP_CACHE_STORE

    public static final FlagAdapter SKIP_CACHE_STORE

### SKIP_CACHE_LOAD

    public static final FlagAdapter SKIP_CACHE_LOAD

Method Detail

### values

    public static FlagAdapter[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FlagAdapter c : FlagAdapter.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FlagAdapter valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.